
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>[c#]Webservice中如何实现方法重载(overload)以及如何传送不能序列化的对象作参数 / iVAN</title>

    <meta name="description" content="[c#]Webservice中如何实现方法重载(overload)以及如何传送不能序列化的对象作参数 1.Webservice中的方法重载问题 (1)在要重载的WebMethod上打个MessageName标签 比如:[WebMethod(MessageName = &quot;HelloWorld1&quot;)]public string HelloWorld(){     return &quot;HelloWorld&quot;; } [WebMethod(MessageName = &quot;HelloWorld2&quot;)]public string HelloWorld(st ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">[c#]Webservice中如何实现方法重载(overload)以及如何传送不能序列化的对象作参数</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>１。Webservice中的方法重载问题<br />
（１）在要重载的WebMethod上打个MessageName标签<br />
比如:<br />[WebMethod(MessageName = "HelloWorld1")]<br />public string HelloWorld(){<br />
    return "HelloWorld";<br />
}</p>
<p>[WebMethod(MessageName = "HelloWorld2")]<br />public string HelloWorld(string msg){<br />
    return msg + "HelloWorld";<br />
}<br />（２）此外还要在class上修改WebServiceBinding特性，如下:<br />[WebServiceBinding(ConformsTo = WsiProfiles.None)]<br />
    public class UploadService : System.Web.Services.WebService<br />
    {<br />        ...<br />
    }</p>
<p>2.无法序列化的对象如何作为参数传递<br />
比如:<br />
void TestMethod(MyObject p){<br />
    ...<br />
}<br />
这里MyObject是一个自定义类，并且无法序列化，如果你的WebService里有这样的方法，那么在浏览asmx时，会提示“MyObject无法序列化，因为没有无参数的构架函数”之类，解决办法有二个:<br />
(a)修改MyObject，使其序列化，但如果MyObject已经封装成程序集(dll)无法修改的话，请看第二种方法<br />
(b)将void TestMethod(MyObject p)修改为</p>
<p>void TestMethod(Object t){<br />
    MyObject p = t as MyObject<br />
    ...<br />
}<br />
即把Object做为参数传入，然后在方法内部再Cast为MyObject，虽然这要增加了额外的拆箱，封箱操作，但总比不能用要好</p>
<p>另外，讲几个小技巧，如果要给方法增加描述说明，让引用webService的人更容易看懂，可以在[WebMethod(MessageName = "HelloWorld1")]后再增加一个Desciption="xxx",即<br />[WebMethod(MessageName = "HelloWorld1", Description = "描述内容，支持Html语法哦")]</p>
<p>同样整个WebService也可以增加描述，在class上增加Desciption属性,即<br />    [WebService(Namespace = "http://www.yourdomain.com/",Description="服务说明，支持html语法")]<br />
    [WebServiceBinding(ConformsTo = WsiProfiles.None)]<br />
    public class UploadService : System.Web.Services.WebService<br />
    {<br />
        ...<br />
    }</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 00:24:35</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/string/" title="string">string</a>, <a href="https://www.iamivan.net/tag/web/" title="web">web</a>, <a href="https://www.iamivan.net/tag/void/" title="void">void</a>, <a href="https://www.iamivan.net/tag/class/" title="class">class</a>, <a href="https://www.iamivan.net/tag/webservice/" title="WebService">WebService</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>[c#]Webservice中如何实现方法重载(overload)以及如何传送不能序列化的对象作参数的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba0wW2z.html" rel="bookmark">java必学必会之方法的重载&lpar;overload&rpar;&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.方法的重载 方法名一样,但参数不一样,这就是重载(overload). 所谓的参数不一样,主要有两点:第一是参数的个数不一样,第二是参数的类型不一样.只要这两方面有其中的一方面不一样就可以构成方法的重载了. package cn.galc.test; public class TestOverLoad { void max(int a, int b) { System.out.println(a &gt; b ? a : b); } /* * int max(int a, int b) { * r			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnxP32b.html" rel="bookmark">Java语言入门教程（十四）：Java语言中方法重载与方法覆盖</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				很多时候,某个Java类中有多个类似的方法.如Math类中,计算绝对值的方 法就会有多个,因为对不同数据类型的数计算方式不同.比如对float,int, long,double各类型的计算方式各不相同,那么Math类中就应该设计4个求绝对 值的方法,分别对每种类型进行计算.在这种情况下,最好的方式就是设计4个 同名,但是不同参的方法,如下所示(请参见API帮助文档): abs(double a) Returns the absolute value of a double value. abs(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9EW1KM.html" rel="bookmark">javascript中通过arguments参数伪装方法重载</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 在很多面向对象的高级语言中,都有方法的重载.而javascript没有方法重载这个概念.但是我们可以通过arguments这个参数来伪装成函数的重载 在模拟之前我们先看一下代码: 代码如下: //表面上没有声明形式参数的函数 function fun() { alert(&quot;示例代码&quot;); } fun(&quot;小明&quot;, 100, true);//自己写了三个实际参数 通过结果我们看到,即使我们声明函数的时候没有定义形式参数,在调用方法的时候,我们也是可以写实际参数的.(实			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXK8ZWM.html" rel="bookmark">javascript中通过arguments参数伪装方法重载&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在很多面向对象的高级语言中,都有方法的重载.而javascript没有方法重载这个概念.但是我们可以通过arguments这个参数来伪装成函数的重载 在模拟之前我们先看一下代码: 复制代码 代码如下: //表面上没有声明形式参数的函数 function fun() { alert(&quot;示例代码&quot;); } fun(&quot;小明&quot;, 100, true);//自己写了三个实际参数 通过结果我们看到,即使我们声明函数的时候没有定义形式参数,在调用方法的时候,我们也是可以写实际参数			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MY2LXVp.html" rel="bookmark">Java编程那些事儿55&mdash;方法重载和参数传递</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				7.5 方法相同 在Java语言中,方法相同的概念和其它程序设计语言不尽相同,Java语言中的方法相同指方法名称和参数列表都相同,其中参数列表相同指参数个数.参数类型和参数排列顺序等相同,参数名称可以不相同.相同的方法访问控制符.返回值类型可以不相同. 以下是一下相同的方法: public void test(int a,double[] d) private int test(int i,double[] d1) 在同一个类内部,不能声明相同的方法,否则将出现语法错误. 7.6 方法重载 方法			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/jbEk4Pp.html" rel="bookmark">在 WebService 中使用属性</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				web 在 WebService 中发布一个方法很简单,只要将你要发布的方法用 System.Web.Services.WebMethodAttribute 属性类来标识出就可以了,但是该属性只能应用于方法而不能应用到属性.该类的MSDN文档可以见到(C#):[AttributeUsage(AttributeTargets.Method)]public sealed class WebMethodAttribute : Attribute 那么,如果我们需要将一个属性也发布成一个Web方法,该如			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boL89BM.html" rel="bookmark">js面向对象编程之如何实现方法重载&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				js中如何实现方法重载?这涉及到三个问题 1.同名函数的调用问题 2.函数中特殊的参数arguments 3.如何利用arguments实现方法重载 1.同名函数的调用问题 都知道在js中如果存在多个名称相同的函数,则调用实际每次都只使用最后一个,js其实是没有重载的,也就是说,如果定义了多个同名的函数,单参数不一样,在调用时,js不管参数个数,只管前后顺序 例如: function test1(arg1) { alert(&quot;参数1:&quot;+arg1); } function test1(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z44LOLz.html" rel="bookmark">原生js实现复制对象、扩展对象 类似jquery中的extend&lpar;&rpar;方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				jq的extend()方法能很方便的实现扩展对象方法,语法如下:$.extend(obj1,boj2,obj3); 现在要实现的是:原生js实现复制对象,扩展对象,类似jq中的extend()方法,具体实例如下: 现有3个对象字面量: var o1={hello:1,old:555}, o2 = { abc: 55555555, hello: 2, fun: function() { alert(111); } }, o3={third:9999}; 实现目标: 复制o1对象,把 o2,o3的对			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7Jxr4p.html" rel="bookmark">复制对象，扩展对象，实现jquery中的extend&lpar;&rpar;方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				jq的extend()方法能很方便的实现扩展对象方法,语法如下:$.extend(obj1,boj2,obj3); 现在要实现的是:原生js实现复制对象,扩展对象,类似jq中的extend()方法,具体实例如下: 现有3个对象字面量:  代码如下 复制代码 var o1={hello:1,old:555}, o2 = { abc: 55555555, hello: 2, fun: function() { alert(111); } }, o3={third:9999}; 实现目标: 复制o1对			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKY5pN.html" rel="bookmark" class="title">360安全浏览器网购照妖镜如何使用&quest;</a>
					<div>
						  1.访问特殊网页时会在浏览器左侧显示照妖镜功能,如下图: 2.点击&quot;网购照妖镜&quot;后会显示如下图所示的主界面: 3.只需要在界面中做简单的选择,然后点击&quot;照一照&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZRkaz.html" rel="bookmark" class="title">CSS的&excl;important规则对性能有影响吗</a>
					<div>
						    最近在做项目中发现很多CSS代码里面都使用!important去覆盖原有高优先级的样式.按照常理来说,越是灵活的东西,需要做的工作就会更多.所以 想当然的认为像!important这样灵活.方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4AJPb.html" rel="bookmark" class="title">php 导入导出excel&colon;php导出excel</a>
					<div>
						/*** @param string $filname //输出的文件名* @param string $type //编码类型* @param string $array //excel的标题* @ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1m58M.html" rel="bookmark" class="title">新手站长1月打造5000ip娱乐站</a>
					<div>
						站长 昨天我的2个小站终于过了5000ip,写一些个人的实站经验.      下面说说做站过程,9月底注册了2个米,又花钱买了2个空间,程序用的是dede的(其它的cms也装过,感觉用起来太复杂,都放 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMN6ByM.html" rel="bookmark" class="title">Windows7系统环境安装配置PHP开发环境</a>
					<div>
						一.Apache安装版本解释:openssl是表示带有openssl模块,利用openssl就可以给Apache配置SSL安全链接的,也就是使用https://方式进行访问. nossl则表示不带Op ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxRJRz.html" rel="bookmark" class="title">浅析京东商城产品列表页的用户体验和营销手段&lpar;四&rpar;</a>
					<div>
						在&lt;浅析京东商城产品列表页的用户体验和营销手段(三)&gt;中咱们说到了排序选择这块,今天继续看下面的.   晃眼一看就是普普通通的产品列表展示,图片+标题+价格+购买链接.产品图片和标题这里就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M911eKM.html" rel="bookmark" class="title">使用Silverlight Toolkit中的主题&lpar;Theme&rpar;</a>
					<div>
						在Silverlight Tookit 中提供了大约十种主题,大家可以根据自己的喜好,很容易就在项目中实现 动态换肤效果.当然其官方还推荐了几个制作主题的插件,使用这些 Blend插件可以很方便的生成 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKvZ6M.html" rel="bookmark" class="title">Excel表格的25招必学秘笈</a>
					<div>
						也许你已经在Excel中完成过上百张财务报表,也许你已利用Excel函数实现过上千次的复杂运算,也许你认为Excel也不过如此,甚至了无新意.但我们平日里无数次重复的得心应手的使用方法只不过是Exce ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVn1PDz.html" rel="bookmark" class="title">Word2007中加入各种款式的分隔线</a>
					<div>
						有些朋友常常需要在Word 2007文档内容中加上一条横跨整页的分隔线,不过总是找不可快速的方法来实现.通常,在Word 2007中加入横线,是在&quot;常用&quot;功能区里单击&quot;段 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6eJ6Nb.html" rel="bookmark" class="title">win7系统中自动安装驱动程序的功能怎么关闭？</a>
					<div>
						  我们知道,在ghost win7系统下载中是有驱动程序的自动安装功能的,虽然这是ghost win7系统的一种智能化设置,但是对于很多用户来说,却并不想&quot;买账&quot;,因为并非是所有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXjV65b.html" rel="bookmark" class="title">百度云盘离线下载文件</a>
					<div>
						  1.首先,登录自己的百度百度云网盘,然后进入&quot;网盘&quot;,点击&quot;离线下载&quot;. 2.在弹出的窗口中选择&quot;新建链接任务&quot;,如果是BT种子文件离线 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3N0mM.html" rel="bookmark" class="title">unity3d-unity网格合并后位置会变</a>
					<div>
						问题描述 unity网格合并后位置会变 根据官网介绍的mesh.combinemesh中的范例,做了个简单的网格合并的demo,但程序运行后物体的位置发生了变化,研究了好几天都没结果,这是怎么回事啊~ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My33Xdz.html" rel="bookmark" class="title">Android开发22&mdash;&mdash;广播接收者BroadcastReceiver的原理和注册方式</a>
					<div>
						一.广播机制的基本概念 当某个事件产生时(如一条短信发来或一个电话打来),android操作系统会把这个事件广播给所有注册的广播接收者,需要处理这个事件的广播接收者进行处理.其实这就是日常生活中的广播 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQ05dp.html" rel="bookmark" class="title">服务器-android数据采集与同步和加密等问题</a>
					<div>
						问题描述 android数据采集与同步和加密等问题 手机运动到sensor附近时,采集其中数据:手机可访问internet时,将所收集数据上传服务器.同时允许反向流程,即数据从server到senso ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjBvlp.html" rel="bookmark" class="title">Android图形显示系统&mdash;&mdash;下层显示4：图层合成下（硬件合成器）</a>
					<div>
						硬件合成器-HwComposer 使用3D合成,需要大面积的像素混合计算和大量的内存传输(GPU读写GraphicBuffer所需),对GPU和DDR来说是一个巨大的负担.在GPU/DDR重度使用的场 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqnDeb.html" rel="bookmark" class="title">几个开源框架的比较</a>
					<div>
						    1.volley  项目地址 https://github.com/smanikandan14/Volley-demo (1)  JSON,图像等的异步下载:  (2)  网络请求的排序(sc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAYxOM.html" rel="bookmark" class="title">java中short s&equals;s&plus;1和s&plus;&equals;1的区别</a>
					<div>
						  ① short s=s+1   会出现编译错误.s+1的时候,结果会被&quot;升格&quot;为int类型.把int赋给short当然编译错误.     ② s+=1   对于&quot;+= ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6N1wb.html" rel="bookmark" class="title">Kibana&mdash;&mdash;数据图形化制作</a>
					<div>
						Kibana把数据图形化,可以帮助我们更好的去分析数据,找到数据里面的结构 注意看一下,上面缩看的界面,是一个聚合的结果,他是由CPU Usage图表.System Load图表.CPU usage  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPVDlp.html" rel="bookmark" class="title">学生制凡客体微生物扑克牌</a>
					<div>
						近日,一副凡客体微生物扑克牌在网上迅速传播.扑克牌制作者是北大医学部的学生陈亚希.他说,制作此牌是为了复习,54张扑克牌包含了两位微生物学开山鼻祖和需要掌握的52种微生物.陈亚希表示,牌的花色.点数是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYj115p.html" rel="bookmark" class="title">祝2014中秋快乐</a>
					<div>
						这个中秋回了一趟广州.行程颇为紧密,收获也不少.除了亲情友情,在个人规划上也有些新的养分吸收进来. 第一个点,搜芽.搜芽是我的一个同实验室的同学弄的一个基于图像的布匹检索系统.我过去,他们想要的是我能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxV8kb.html" rel="bookmark" class="title">关于java问题-编译中错误说第一行需要标示符是什么意思</a>
					<div>
						问题描述 编译中错误说第一行需要标示符是什么意思 package dataStructure.Linear.*; import dataStructure.LinearList.Node; //导入指 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjjKNM.html" rel="bookmark" class="title">《深入理解Android》一2&period;2　浏览器和WebKit简史</a>
					<div>
						2.2 浏览器和WebKit简史 和HTML标准相伴至今,浏览器从无到有,从简单到复杂,经历了许多变化,内容越发丰富,功能日益强大. 第一个浏览器也是由World Wide Web发明人Tim Ber ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnK8yOz.html" rel="bookmark" class="title">ubuntu-新手使用dd命令时只打了输出文件名，未达输入文件名，系统是否会耗掉空间？</a>
					<div>
						问题描述 新手使用dd命令时只打了输出文件名,未达输入文件名,系统是否会耗掉空间? 执行命令及日志如下: root@ubuntu:/home/ye/Test# date ; dd if=/dev/ze ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Zqvmz.html" rel="bookmark" class="title">数据挖掘十大经典算法</a>
					<div>
						国际权威的学术组织the IEEE International Conference on Data Mining (ICDM) 2006年12月评选出了数据挖掘领域的十大经典算法:C4.5, k-M ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJ5DWp.html" rel="bookmark" class="title">彻底搞懂字符编码&lpar;unicode&comma;mbcs&comma;utf-8&comma;utf-16&comma;utf-32&comma;big endian&comma;little endian&period;&period;&period;&rpar;</a>
					<div>
						最近有一些朋友常问我一些乱码的问题,和他们交流过程中,发现这个编码的相关知识还真是杂乱不堪,不少人对一些 知识理解似乎也有些偏差,网上百度,google的内容,也有不少以讹传讹,根本就是错误的(例如说 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBQKwM.html" rel="bookmark" class="title">ios EaseUI语音消息cell的约束错误</a>
					<div>
						问题描述 这个约束怎么改,EaseBubbleView这个view的问题 解决方案 之前看到论坛有这个问题的回答..环信的技术能解决一下么..之前都没解决解决方案二:你需要百度下最后一行那个英文					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrqg5Wb.html" rel="bookmark" class="title">C&num;与C&plus;&plus; 函数互相调用时，socket 参数如果传递</a>
					<div>
						问题描述 大家好,我有一个C++dll的函数申明:1.SOCKET_stdcallConnectScale(char*ScaleIP,intiPort)/*函数:ConnectScale:连接电子秤参 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBomOz.html" rel="bookmark" class="title">谷歌Borg论文阅读笔记（二）&mdash;&mdash;任务混部的解决</a>
					<div>
						总算又往下读了一部分.Google的Borg论文中,前面部分讲的都是Borg的架构.后面有讲了一些资源隔离,安全隔离等的技术方案和策略. 主机层面的资源隔离,都是由是Borglet来操纵的. Goog ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQBglp.html" rel="bookmark" class="title">Greenplum深度优化技巧</a>
					<div>
						以下内容根据演讲PPT以及现场分享整理而成. 本次的分享将主要对云上的Greenplum进行介绍.有的同学往往有一些疑问就是Greenplum产品有什么优势?为什么要使用Greenplum?Green ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXAZ5b.html" rel="bookmark" class="title">马列矛盾理论告诉我们：数据库设计就是&OpenCurlyQuote;主体&rsquo;和&OpenCurlyQuote;关系&rsquo;的设计</a>
					<div>
						MySql 官方工具 WorkBench 设计数据库要点分析 太阳火神的美丽人生 (http://blog.csdn.net/opengl_es) 本文遵循&quot;署名-非商业用途-保持一致&qu ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.040 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
